//#version 120 //attribute
precision mediump float;
const float dx = 0.003922;
varying vec2 aCoordinate;

uniform sampler2D fTextureNumber;//1-99
uniform sampler2D fTextureMinOrg;//min的真实图
uniform float alpha;//透明度

uniform int pixelColorSize;
uniform vec4 pixelColors[200];//颜色的顺序集合 由于数组不可变 传递最大数组进入

bool isEques(const vec4 colorOne, const vec4 colorTwo);
int modMy(int x, int y);
void main() {
    vec4 rgba = texture2D(fTextureMinOrg, aCoordinate);
    if (isEques(rgba, vec4(0, 0, 0, 0))){
        gl_FragColor = vec4(1, 1, 1, 1);//
        return;
    }
    if (gl_PointCoord.x <= 0.02 || gl_PointCoord.y<=0.02 || gl_PointCoord.x >= 0.98 || gl_PointCoord.y >=0.98){
        gl_FragColor = vec4(0.502, 0.502, 0.502, alpha);
    } else {
        gl_FragColor = vec4(1, 1, 1, 1);//
        for (int i = 0; i<pixelColorSize;i++){
            if (isEques(rgba, pixelColors[i])){
                float modX = float(modMy(i, 10));
                float modY = float(i/10);
                float nX = (gl_PointCoord.x +modX) * 0.1;
                float nY = (gl_PointCoord.y +modY) * 0.1;
                vec4 resultRgba = texture2D(fTextureNumber, vec2(nX, nY));
                gl_FragColor = vec4(resultRgba.r, resultRgba.g, resultRgba.b, resultRgba.a * alpha);//透明色
                break;
            }
        }
    }
}

bool isEques(const vec4 colorOne, const vec4 colorTwo){
    float r = colorOne.r - colorTwo.r;
    float g = colorOne.g- colorTwo.g;
    float b = colorOne.b- colorTwo.b;
    float a = colorOne.a- colorTwo.a;
    if ((r < dx && r> -dx)
    &&(g < dx && g> -dx)
    &&(b < dx && b> -dx)
    &&(a < dx && a> -dx)
    ){
        return true;
    } else {
        return false;
    }
}

int modMy(int x, int y){
    return int(x - y*int(x/y));
}