//#version 120 //attribute
precision mediump float;
const float dx = 0.003922;
varying vec2 aCoordinate;
varying vec2 aFBOTextureCoord;

uniform sampler2D fTextureMinOrg;//原生图
uniform sampler2D fTexturePaintFBO;//已绘制图

uniform vec4 selectColor;//用户选中的颜色
uniform lowp float guige;//规格

bool isEques(const vec4 colorOne, const vec4 colorTwo);

void main() { //只涂选中的
    vec4 rgbaFBO = texture2D(fTexturePaintFBO, aCoordinate);
    if (rgbaFBO.a == 1.0){
        gl_FragColor = vec4(0, 0, 0, 0);//透明色
    } else {
        vec4 rgba = texture2D(fTextureMinOrg, aCoordinate);
        if (!isEques(rgba, vec4(0, 0, 0, 0)) && isEques(rgba, selectColor)){
            float dw = 1.0/guige;
            float rx = (aCoordinate.x - float(int(aCoordinate.x / dw)) * dw) * guige;
            float ry= (aCoordinate.y - float(int(aCoordinate.y / dw)) * dw) * guige;
            vec2 pointCoord = vec2(rx, ry);
            //            if ((pointCoord.x <= 0.5 && pointCoord.y<=0.5) || (pointCoord.x >= 0.5 && pointCoord.y >=0.5)){
                            gl_FragColor = vec4(0.46666, 0.47058, 0.47058, 1);
            //                gl_FragColor = vec4(0.0, 0.0, 0.0, 0.5);
            //            } else {
//            gl_FragColor = vec4(0.6549, 0.6549, 0.6549, 1);
            //            }
        } else {
            gl_FragColor = vec4(0, 0, 0, 0);//透明色
        }
    }
}


bool isEques(const vec4 colorOne, const vec4 colorTwo){
    float r = colorOne.r - colorTwo.r;
    float g = colorOne.g- colorTwo.g;
    float b = colorOne.b- colorTwo.b;
    float a = colorOne.a- colorTwo.a;
    if ((r < dx && r> -dx)
    &&(g < dx && g> -dx)
    &&(b < dx && b> -dx)
    &&(a < dx && a> -dx)
    ){
        return true;
    } else {
        return false;
    }
}

