//#version 120 //attribute
precision highp float;

varying vec2 aCoordinate;

const float dx = 0.003922;
uniform sampler2D fTextureNumber;//1-99
uniform sampler2D fTextureMinOrg;//min的真实图
uniform sampler2D fTextureMinNumbInfo;//透明度标识位置 0 开始

uniform lowp float guige;//规格
uniform lowp float alpha;//透明度
//uniform lowp int pixelColorSize;
//uniform lowp vec4 pixelColors[200];//颜色的顺序集合 由于数组不可变 传递最大数组进入

bool isEques(const vec4 colorOne, const vec4 colorTwo);
int modMy(int x, int y);
void main() {
    vec4 fragColor = texture2D(fTextureMinOrg, aCoordinate);
    if (isEques(fragColor, vec4(0, 0, 0, 0))){
        gl_FragColor = vec4(1, 1, 1, 1);//透明色
        return;
    }
    float dw = 1.0/guige;
    float rx = (aCoordinate.x - float(int(aCoordinate.x / dw)) * dw) * guige;
    float ry= (aCoordinate.y - float(int(aCoordinate.y / dw)) * dw) * guige;
    vec2 pointCoord = vec2(rx, ry);
    if (pointCoord.x <= 0.02 || pointCoord.y<=0.02 || pointCoord.x >= 0.98 || pointCoord.y >=0.98){
        gl_FragColor = vec4(0.502, 0.502, 0.502, alpha);
    } else {
        gl_FragColor = vec4(1, 1, 1, 1);//透明色

        vec4 fragNumbInfoColor = texture2D(fTextureMinNumbInfo, aCoordinate);
        int i = int(fragNumbInfoColor.a/0.00392);
        lowp float modX = float(modMy(i, 10));
        lowp float modY = float(i/10);
        lowp float nX = (pointCoord.x +modX) * 0.1;
        lowp float nY = (pointCoord.y +modY) * 0.1;
        lowp  vec4 resultRgba = texture2D(fTextureNumber, vec2(nX, nY));
        gl_FragColor = vec4(resultRgba.r, resultRgba.g, resultRgba.b, resultRgba.a * alpha);//透明色

//        for (lowp int i = 0; i<pixelColorSize;i++){
//            if (isEques(fragColor, pixelColors[i])){
//                lowp float modX = float(modMy(i, 10));
//                lowp float modY = float(i/10);
//                lowp float nX = (pointCoord.x +modX) * 0.1;
//                lowp float nY = (pointCoord.y +modY) * 0.1;
//                lowp  vec4 resultRgba = texture2D(fTextureNumber, vec2(nX, nY));
//                gl_FragColor = vec4(resultRgba.r, resultRgba.g, resultRgba.b, resultRgba.a * alpha);//透明色
//                break;
//            }
//        }
    }
}

bool isEques(const vec4 colorOne, const vec4 colorTwo){
    float r = colorOne.r - colorTwo.r;
    float g = colorOne.g- colorTwo.g;
    float b = colorOne.b- colorTwo.b;
    float a = colorOne.a- colorTwo.a;
    if ((r < dx && r> -dx)
    &&(g < dx && g> -dx)
    &&(b < dx && b> -dx)
    &&(a < dx && a> -dx)
    ){
        return true;
    } else {
        return false;
    }
}
int modMy(int x, int y){
    return int(x - y*int(x/y));
}